Loading...
Searching...
No Matches
etl::imessage_router_registry Class Reference

This is the base of all message router registries. More...

`#include <message_router_registry.h>`

## Classes

class | iterator
| Iterator. More...
class | const_iterator
| Const Iterator. More...

## Public Member Functions

iterator | begin ()
| Get the beginning of the registry.
const_iterator | begin () const
const_iterator | cbegin () const
iterator | end ()
| Get the end of the registry.
const_iterator | end () const
const_iterator | cend () const
etl::imessage_router * | find (etl::message_router_id_t id)
| Get the first router in the registry with the specified ID.
const etl::imessage_router * | find (etl::message_router_id_t id) const
iterator | lower_bound (etl::message_router_id_t id)
| Get the lower bound in the registry with the specified ID.
const_iterator | lower_bound (etl::message_router_id_t id) const
iterator | upper_bound (etl::message_router_id_t id)
| Get the upper bound in the registry with the specified ID.
const_iterator | upper_bound (etl::message_router_id_t id) const
void | add (etl::imessage_router &router)
void | add (etl::imessage_router *p_router)
template<typename TIterator>
void | add (TIterator first, const TIterator &last)
void | remove (etl::message_router_id_t id)
| Unregisters a router.
bool | contains (const etl::message_router_id_t id) const
bool | contains (const etl::imessage_router *const p_router) const
bool | contains (const etl::imessage_router &router) const
size_t | count (const etl::message_router_id_t id) const
| Returns the number of routers with the specified ID.
bool | empty () const
| Returns true if the registry is empty, otherwise false.
bool | full () const
| Returns true if the registry is full, otherwise false.
size_t | size () const
| Returns the size of the registry.
size_t | available () const
| Returns the available size of the registry.
size_t | max_size () const
| Returns the maximum size of the registry.

## Protected Member Functions

| imessage_router_registry (IRegistry &registry_)

## Detailed Description

This is the base of all message router registries.

## Member Function Documentation

## add() [1/3]

void etl::imessage_router_registry::add | ( | etl::imessage_router & | router | ) |

inline

Registers a router, if not already registered. If the registry is full then an ETL assert is called.

## add() [2/3]

void etl::imessage_router_registry::add | ( | etl::imessage_router * | p_router | ) |

inline

Registers a router, if not already registered. If the registry is full then an ETL assert is called.

## add() [3/3]

template<typename TIterator>

void etl::imessage_router_registry::add | ( | TIterator | first,
|  | const TIterator & | last )

inline

Registers a list of routers, if not already registered. If the registry is full then an ETL assert is called.

## contains() [1/3]

bool etl::imessage_router_registry::contains | ( | const etl::imessage_router & | router | ) | const

inline

Returns true if the registry contains the router. Returns false if not found.

## contains() [2/3]

bool etl::imessage_router_registry::contains | ( | const etl::imessage_router *const | p_router | ) | const

inline

Returns true if the registry contains the router. Returns false if not found.

## contains() [3/3]

bool etl::imessage_router_registry::contains | ( | const etl::message_router_id_t | id | ) | const

inline

Returns true if the registry contains a router that has the specified ID. Returns false if not found.

The documentation for this class was generated from the following file:

- include/etl/message_router_registry.h